//////////////////////////////////////////////////////////
// ADS 710020-11551
//
// Backlight Test Application
//
//////////////////////////////////////////////////////////

#include <Windows.h>
#include "Backlight.h"


int WINAPI WinMain( HINSTANCE hInstance,
                    HINSTANCE hPrevInstance,
                    LPTSTR    lpCmdLine,
                    int       nCmdShow)
{

    int i;
	BYTE x;

	Backlight blight(255, FALSE);

	
	blight.Off();
    RETAILMSG(TRUE,(L"Backlight OFF...\r\n"));
	Sleep(3000);

	blight.On();
	RETAILMSG(TRUE,(L"Backlight ON...\r\n"));
    Sleep(3000);
	
	blight.Off();
	RETAILMSG(TRUE,(L"Backlight OFF...\r\n"));
    Sleep(3000);
	
	blight.On();
	RETAILMSG(TRUE,(L"Backlight ON...\r\n"));
    Sleep(3000);

	blight.Off();
	RETAILMSG(TRUE,(L"Backlight OFF...\r\n"));
    Sleep(3000);
	
	blight.On();
	RETAILMSG(TRUE,(L"Backlight ON...\r\n"));
    Sleep(3000);

    for(i = 0; i < 10; i++)
    {
        if( i % 2)
        {
			RETAILMSG(TRUE,(L"Backlight Ramp Up...\r\n"));
            for(x = 255; x > 0; x--)
            {
                blight.SetLevel(x);
                Sleep(10);
            }
        }
        else
        {
			RETAILMSG(TRUE,(L"Backlight Ramp Down...\r\n"));
            for(x = 0; x < 255; x++)
            {
                blight.SetLevel(x);
                Sleep(10);
            }
        }
    }

	RETAILMSG(TRUE,(L"...Finished\r\n"));

	return 0;
}